## org.apache.mahout.classifier.sgd
Class PolymorphicWritable

    java.lang.Object
      org.apache.mahout.classifier.sgd.PolymorphicWritable

    public final class PolymorphicWritable

extends Object

Utilities that write a class name and then serialize using writables.

Method Summary

`static

`<T extends org.apache.hadoop.io.Writable> T`

`

`read(DataInput dataInput, Class<? extends T> clazz)`

`static

`<T extends org.apache.hadoop.io.Writable> void`

`

`write(DataOutput dataOutput, T value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### write

    public static <T extends org.apache.hadoop.io.Writable> void write(DataOutput dataOutput,
                                                                       T value)
                      throws IOException

  Throws:
    `IOException`

### read

    public static <T extends org.apache.hadoop.io.Writable> T read(DataInput dataInput,
                                                                   Class<? extends T> clazz)
                                                        throws IOException

  Throws:
    `IOException`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.